Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.reportmodel
Class SimpleTextColumn

    java.lang.Object
      net.sf.statcvs.reportmodel.Column
          net.sf.statcvs.reportmodel.GenericColumn
              net.sf.statcvs.reportmodel.SimpleTextColumn

public class SimpleTextColumn
extends GenericColumn

A generic text column without any special behaviour. It can be filled with String values. The total for the column is empty.

Version:
  $Id: SimpleTextColumn.java,v 1.3 2008/04/02 11:22:14 benoitx Exp $
Author:
  Richard Cyganiak

Constructor Summary
`SimpleTextColumn(String title)` Creates a new `SimpleTextColumn` with the given head

Method Summary
`void` | `renderCell(int rowIndex, TableCellRenderer renderer)` Renders a row of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods

Methods inherited from class net.sf.statcvs.reportmodel.GenericColumn
`addValue, getRows, getValue, renderHead, renderTotal, setTotal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTextColumn

    public SimpleTextColumn(String title)

  Creates a new `SimpleTextColumn` with the given head

Parameters:
  `title` - the head of the column

Method Detail

### renderCell

    public void renderCell(int rowIndex,
                           TableCellRenderer renderer)

  Description copied from class: `Column`
  Renders a row of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods

  Specified by:
    `renderCell` in class `GenericColumn`
  See Also:
    `Column.renderCell(int, net.sf.statcvs.renderer.TableCellRenderer)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD